# Copyright (c) 2007-2008 Forest Bond.
# This file is part of the pytagsfs software package.
#
# pytagsfs is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License version 2 as published by the Free
# Software Foundation.
#
# A copy of the license has been included in the COPYING file.

import glob, os

def get_test_modules():
    for name in glob.glob(os.path.join(os.path.dirname(__file__), '*.py')):
        if name == '__init__':
            continue
        module = os.path.basename(name)[:-3]
        yield module

def load():
    for module in get_test_modules():
        __import__('tests', {}, {}, [module])

def run(**kwargs):
    from tests.manager import manager
    manager.run(**kwargs)

def main(**kwargs):
    from tests.manager import manager
    manager.main(**kwargs)

def print_names(test_names = None):
    from tests.manager import manager
    print '\n'.join(manager.get_names(test_names))
